-- Pierwotny właściciel i twórca kodu: AmaMa
-- Zakaz używania / edycji kodu bez wcześniejszej zgody ze strony właściciela
-- Zakaz wykorzystywania całego lub fragmentów kodu
-- W przypadku złamania powyzszych zasad sprawa zostanie skierowana do sądu pod zarzutem: Naruszenia majątkowych praw autorskich
-- Pierwotnie pełne prawo do używania tego kodu posiada tylko AmaMa
mojeW,mojeH = 1360,768
sW,sH = guiGetScreenSize()
sx, sy = (sW/mojeW), (sH/mojeH)
local font = dxCreateFont(":cmta-pobieraniezasobow/OSB.ttf", 20*sx)
local font2 = dxCreateFont(":cmta-pobieraniezasobow/OSB.ttf", 13*sx)


addEvent("dajOsiagniecie", true)
addEventHandler("dajOsiagniecie", root, function(jakie)
	addEventHandler("onClientRender", root, gui)
	os_jakie = jakie
	czas = getTickCount()
	local info = playSound("info.mp3")
	setTimer(function()
		removeEventHandler("onClientRender", root, gui)
	end, 6500, 1)
end)

addEvent("dajLevel", true)
addEventHandler("dajLevel", root, function(jakie)
	addEventHandler("onClientRender", root, gui2)
	os_jakie = jakie
	czas = getTickCount()
	local info = playSound("info.mp3")
	setTimer(function()
		removeEventHandler("onClientRender", root, gui2)
	end, 6500, 1)
end)

function gui()
	    if (getTickCount()-czas) > 5500 then
	    	alph = interpolateBetween(255, 0, 0, 0, 0, 0, (getTickCount() - czas)/6500, "Linear")
	    else
	    	alph = interpolateBetween(0, 0, 0, 255, 0, 0, (getTickCount() - czas)/2000, "Linear")
	    end
		dxDrawImage(570*sx, 40*sy, 220*sx, 155*sy, "icon.png", 0, 0, 0, tocolor(255, 255, 255, alph), false)
        dxDrawText("Zdobyto Osiągnięcie", 480*sx, 135*sy, 880*sx, 300*sy, tocolor(255,215,0, alph), 1.00, font, "center", "center", false, false, false, false, false)
        dxDrawText(os_jakie, 480*sx, 175*sy, 880*sx, 350*sy, tocolor(192,192,192, alph), 1.00, font2, "center", "center", false, false, false, true, false)
end

function gui2()
	    if (getTickCount()-czas) > 5500 then
	    	alph = interpolateBetween(255, 0, 0, 0, 0, 0, (getTickCount() - czas)/6500, "Linear")
	    else
	    	alph = interpolateBetween(0, 0, 0, 255, 0, 0, (getTickCount() - czas)/2000, "Linear")
	    end
		dxDrawImage(570*sx, -20*sy, 220*sx, 155*sy, "icon2.png", 0, 0, 0, tocolor(255, 255, 255, alph), false)
        dxDrawText("#6400FFAwansowałeś na następny poziom", 480*sx, 105*sy, 880*sx, 200*sy, tocolor(255,215,0, alph), 0.9, font, "center", "center", false, false, false, true, false)
end
